=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                libqimageblitz-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kolourpaint.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kolourpaint.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
 
 Package: kolourpaint4
 Section: graphics
