=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.9~),
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.22~),
+               extra-cmake-modules (>= 1.3.0~),
+               libkf5kdelibs4support-dev,
                libqimageblitz-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.2.0~)
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kolourpaint.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kolourpaint.git
 
 Package: kolourpaint4
 Section: graphics
