=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               libkf5kdelibs4support-dev,
-               libqimageblitz-dev,
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kexiv2-dev (>= 16.12.3~),
+               libkf5sane-dev (>= 16.12.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kolourpaint.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kolourpaint.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
 
 Package: kolourpaint4
 Section: graphics
