## kolourpaint 17.04.3

=== debian/changelog ===
kolourpaint (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Merge with debian's git master branch, but:
    - correct source format to be 3.0 (quilt), as it should be
    - add dummy transitional package so the kolourpaint4 -> kolourpaint
      upgrade will be easier to handle for package managers
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:50 +0100
