=== debian/control ===
Source: kolourpaint
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kexiv2-dev (>= 17.04.3~),
               libkf5sane-dev (>= 17.04.3~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint

Package: kolourpaint
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
Replaces: kolourpaint4 (<< 4:17.04), ${kde-l10n:all}
Description: simple image editor and drawing application
 KolourPaint is a simple drawing and image editing application for KDE.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is part of the KDE graphics module.

Package: kolourpaint4
Architecture: all
Section: oldlibs
Depends: kolourpaint, ${misc:Depends}
Description: Kolourpaint - transitional dummy package
 KolourPaint is a simple drawing and image editing application for KDE.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is a dummy package to make the upgrade to 'kolourpaint' easier for
 package managers, it can be safely removed after upgrading.
