## kolourpaint 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,106 +1,64 @@
-cmake_minimum_required(VERSION 2.8.9)
 project(kolourpaint)
 
-find_package(KDE4 REQUIRED)
-include(KDE4Defaults)
-
-find_package(QImageBlitz REQUIRED)
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+set(QT_MIN_VERSION "5.5.0")
+
+find_package(ECM 1.3.0 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+add_definitions(-DTRANSLATION_DOMAIN="kolourpaint")
+
+include(KDEInstallDirs)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDECMakeSettings)
+include(ECMInstallIcons)
+include(ECMAddAppIcon)
+include(ECMSetupVersion)
+include(FeatureSummary)
+
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+    Core
+    Widgets
+)
+
+find_package(KF5 REQUIRED COMPONENTS
+    KDELibs4Support
+)
+
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
-find_package(KSane)
-macro_log_feature(KSANE_FOUND "KSane" "KDE sane library" "https://quickgit.kde.org/?p=libksane.git" FALSE "" "Scanning support")
-
-if(KSANE_FOUND)
-    include_directories(${KSANE_INCLUDE_DIR})
+find_package(KF5Sane)
+
+if(KF5Sane_FOUND)
     add_definitions(-DHAVE_KSANE=1)
-else(KSANE_FOUND)
+    set(KSANE_LIBRARIES KF5::Sane)
+else(KF5Sane_FOUND)
     add_definitions(-DHAVE_KSANE=0)
-endif(KSANE_FOUND)
-
+endif(KF5Sane_FOUND)
 
 include_directories(
-
-# GENERATED BY ./gen_cmake_include_dirs
-
-${CMAKE_CURRENT_SOURCE_DIR}/commands
-${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib
-${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/effects
-${CMAKE_CURRENT_SOURCE_DIR}/commands/imagelib/transforms
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/flow
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/polygonal
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/rectangular
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection
-${CMAKE_CURRENT_SOURCE_DIR}/commands/tools/selection/text
-${CMAKE_CURRENT_SOURCE_DIR}/cursors
-${CMAKE_CURRENT_SOURCE_DIR}/dialogs
-${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib
-${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/effects
-${CMAKE_CURRENT_SOURCE_DIR}/dialogs/imagelib/transforms
-${CMAKE_CURRENT_SOURCE_DIR}/document
-${CMAKE_CURRENT_SOURCE_DIR}/environments
-${CMAKE_CURRENT_SOURCE_DIR}/environments/commands
-${CMAKE_CURRENT_SOURCE_DIR}/environments/dialogs
-${CMAKE_CURRENT_SOURCE_DIR}/environments/dialogs/imagelib
-${CMAKE_CURRENT_SOURCE_DIR}/environments/dialogs/imagelib/transforms
-${CMAKE_CURRENT_SOURCE_DIR}/environments/document
-${CMAKE_CURRENT_SOURCE_DIR}/environments/tools
-${CMAKE_CURRENT_SOURCE_DIR}/environments/tools/selection
-${CMAKE_CURRENT_SOURCE_DIR}/generic
-${CMAKE_CURRENT_SOURCE_DIR}/generic/widgets
-${CMAKE_CURRENT_SOURCE_DIR}/imagelib
-${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects
-${CMAKE_CURRENT_SOURCE_DIR}/imagelib/transforms
-${CMAKE_CURRENT_SOURCE_DIR}/layers
-${CMAKE_CURRENT_SOURCE_DIR}/layers/selections
-${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/image
-${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text
-${CMAKE_CURRENT_SOURCE_DIR}/layers/tempImage
-${CMAKE_CURRENT_SOURCE_DIR}/lgpl
-${CMAKE_CURRENT_SOURCE_DIR}/lgpl/generic
-${CMAKE_CURRENT_SOURCE_DIR}/lgpl/generic/widgets
-${CMAKE_CURRENT_SOURCE_DIR}/mainWindow
-${CMAKE_CURRENT_SOURCE_DIR}/pixmapfx
-${CMAKE_CURRENT_SOURCE_DIR}/tools
-${CMAKE_CURRENT_SOURCE_DIR}/tools/flow
-${CMAKE_CURRENT_SOURCE_DIR}/tools/polygonal
-${CMAKE_CURRENT_SOURCE_DIR}/tools/rectangular
-${CMAKE_CURRENT_SOURCE_DIR}/tools/selection
-${CMAKE_CURRENT_SOURCE_DIR}/tools/selection/image
-${CMAKE_CURRENT_SOURCE_DIR}/tools/selection/text
-${CMAKE_CURRENT_SOURCE_DIR}/views
-${CMAKE_CURRENT_SOURCE_DIR}/views/manager
-${CMAKE_CURRENT_SOURCE_DIR}/widgets
-${CMAKE_CURRENT_SOURCE_DIR}/widgets/colorSimilarity
-${CMAKE_CURRENT_SOURCE_DIR}/widgets/imagelib
-${CMAKE_CURRENT_SOURCE_DIR}/widgets/imagelib/effects
-${CMAKE_CURRENT_SOURCE_DIR}/widgets/toolbars
-${CMAKE_CURRENT_SOURCE_DIR}/widgets/toolbars/options
-
-${KDE4_INCLUDES}
-${QIMAGEBLITZ_INCLUDES}
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}
+)
+
+# KDE Application Version, managed by release script
+set(KDE_APPLICATIONS_VERSION_MAJOR "17")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
+set(KDE_APPLICATIONS_VERSION_MICRO "3")
+set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+ 
+ 
+## Generate header with version number
+ecm_setup_version(${KDE_APPLICATIONS_VERSION}
+                  VARIABLE_PREFIX KOLOURPAINT
+                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpVersion.h"
+)
+
 
 add_subdirectory( pics )
 add_subdirectory( doc )
 
 
 ########### next target ###############
-macro(CREATE_VERSION _in_FILE _out_FILE)
-    FILE(READ ${_in_FILE} _contents)
-    FILE(WRITE ${_out_FILE} "static const char * const kpVersionText =")
-    STRING(REGEX REPLACE "\n" "" _contents "${_contents}" )
-    FILE(APPEND ${_out_FILE} "${_contents}")
-    FILE(APPEND ${_out_FILE} ";\n")
-endmacro(CREATE_VERSION)
-
-
-#macro_additional_clean_files( ${CMAKE_CURRENT_BINARY_DIR}/kolourpaintversion.h )
-
-create_version(${CMAKE_CURRENT_SOURCE_DIR}/VERSION ${CMAKE_CURRENT_BINARY_DIR}/kolourpaintversion.h)
-
-
 macro(CREATE_LICENSE _in_FILE _out_FILE)
     FILE(READ ${_in_FILE} _contents)
     FILE(WRITE ${_out_FILE} "static const char * const kpLicenseText =")
@@ -183,6 +141,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/generic/kpWidgetMapper.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/generic/widgets/kpResizeSignallingLabel.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/generic/widgets/kpSubWindow.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/blitz.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectBalance.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectBlurSharpen.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/imagelib/effects/kpEffectEmboss.cpp
@@ -204,6 +163,7 @@
 )   # kolourpaint_lib1_SRCS
 
 set(kolourpaint_lib2_SRCS
+    ${CMAKE_CURRENT_SOURCE_DIR}/kpLogCategories.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/kolourpaint.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/kpThumbnail.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/kpViewScrollableContainer.cpp
@@ -217,3 +177,37 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/kpSelectionFactory.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpTextSelection.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpTextSelection_Cursor.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpTextSelection_Paint.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpTextStyle.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/layers/selections/text/kpPreeditText.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/layers/tempImage/kpTempImage.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Colors.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Edit.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_File.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Image.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Settings.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_StatusBar.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Text.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_Tools.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_View.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_View_Thumbnail.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/mainWindow/kpMainWindow_View_Zoom.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/pixmapfx/kpPixmapFX_DrawShapes.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/pixmapfx/kpPixmapFX_GetSetPixmapParts.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/pixmapfx/kpPixmapFX_Transforms.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolBrush.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolColorEraser.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolEraser.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolFlowBase.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolFlowPixmapBase.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolPen.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/flow/kpToolSpraycan.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpToolAction.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpToolColorPicker.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_Drawing.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpToolFloodFill.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_KeyboardEvents.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_MouseEvents.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/tools/kpTool_OtherEvents.cpp
