=== pics/CMakeLists.txt ===
add_subdirectory( action ) 
add_subdirectory( app ) 
add_subdirectory( custom )
