=== debian/changelog ===
kolourpaint (4:17.12.3-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * New upstream release (17.12.3)

  [ José Manuel Santamaría Lema ]
  * Use wildcards in debian/not-installed so we won't have spurious
    missing files reports for non-amd64 architectures.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:29:23 +0000

kolourpaint (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:34 +0000

kolourpaint (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:08:16 +0000
