=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kexiv2-dev (>= 17.04.3~),
-               libkf5sane-dev (>= 17.04.3~),
+               libkf5kexiv2-dev (>= 17.12.3~),
+               libkf5sane-dev (>= 17.12.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~)
