## kolourpaint 18.04.0

=== pics/custom/CMakeLists.txt ===
install(FILES
    tool_spraycan_9x9.png
    tool_spraycan_17x17.png
    tool_spraycan_29x29.png
    color_transparent_26x26.png
    colorbutton_swap_16x16.png
    option_opaque.png option_transparent.png
    resize.png scale.png
    smooth_scale.png
    image_skew_horizontal.png
    image_skew_vertical.png
    image_rotate_anticlockwise.png
    image_rotate_clockwise.png
    DESTINATION ${DATA_INSTALL_DIR}/kolourpaint/pics)
