=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper (>= 11~),
                extra-cmake-modules (>= 1.3.0~),
                libkf5kdelibs4support-dev,
-               libkf5sane-dev (>= 18.12.3~),
+               libkf5sane-dev (>= 19.04.3~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.5.0~),
