## kolourpaint 19.12.0

=== debian/changelog ===
kolourpaint (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump Qt to 5.11.0
    - bump KF packages to 5.58.0

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jan 2020 08:34:36 +0100

kolourpaint (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.10.0
    - add libkf5doctools-dev, libkf5guiaddons-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5kio-dev, libkf5textwidgets-dev,
      libkf5widgetsaddons-dev, and libkf5xmlgui-dev
    - explicitly add gettext

 -- Pino Toscano <pino@debian.org>  Sun, 06 Oct 2019 22:39:45 +0200
